Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.store
Interface StoreBetterLookup

All Superinterfaces:
  StoreLookup

All Known Implementing Classes:
  DatabaseStore, NullStore

    public interface StoreBetterLookup

extends StoreLookup

Advanced methods for getting information about authorities and subsegments out of a store.

Author:
  =peacekeeper

Method Summary
`SubSegment[]` | `getAuthorityChildSubSegments(Authority parent)` Gets all subsegments that have this authority as parent.
`java.lang.String[]` | `getAuthorityQxris(Authority authority)` Gets all full XRIs that lead to this authority.
`java.lang.String[]` | `getAuthorityQxris(Authority authority, boolean reassignable, boolean persistent)` Gets all full XRIs that lead to this authority.
`SubSegment[]` | `getAuthoritySubSegments(Authority authority)` Gets all subsegments that lead to this authority.
`SubSegment[]` | `getSynonymSubSegments(Authority parent, Authority authority)` Gets all subsegments with a given parent authority and authority.
`Authority[]` | `listAuthorities()` Returns all authorities.
`SubSegment[]` | `listSubSegments()` Returns all subsegments.

Methods inherited from interface org.openxri.store.StoreLookup
`findRootSubSegment, findSubSegment, getSubSegmentAuthority, getSubSegmentParentAuthority, localLookup`

Method Detail

### listAuthorities

    Authority[] listAuthorities()
                                throws StoreException

  Returns all authorities.

  Returns:
    A list of authorities
  Throws:
    `StoreException`

### listSubSegments

    SubSegment[] listSubSegments()
                                 throws StoreException

  Returns all subsegments.

  Returns:
    A list of subsegments
  Throws:
    `StoreException`

### getAuthoritySubSegments

    SubSegment[] getAuthoritySubSegments(Authority authority)
                                         throws StoreException

  Gets all subsegments that lead to this authority.

  Parameters:
    `authority` - authority for which subsegments should be found
  Returns:
    An array of subsegments.
  Throws:
    `StoreException`

### getAuthorityChildSubSegments

    SubSegment[] getAuthorityChildSubSegments(Authority parent)
                                              throws StoreException

  Gets all subsegments that have this authority as parent.

  Parameters:
    `parent` - authority for which child subsegments should be found
  Returns:
    An array of subsegments.
  Throws:
    `StoreException`

### getSynonymSubSegments

    SubSegment[] getSynonymSubSegments(Authority parent,
                                       Authority authority)
                                       throws StoreException

  Gets all subsegments with a given parent authority and authority. All returned subsegments have the same parent authority and authority, and are therefore local synonyms.

  Parameters:
    `parent` - authority for which child subsegments should be found
    `authority` - authority for which subsegments should be found
  Returns:
    An array of subsegments.
  Throws:
    `StoreException`

### getAuthorityQxris

    java.lang.String[] getAuthorityQxris(Authority authority)
                                         throws StoreException

  Gets all full XRIs that lead to this authority. If it is a root authority, this is just the namespace, otherwise it's the namespace of the root authority plus names of subsegments. Usually just one result, unless there are aliases in the subsegment chain.

  Parameters:
    `authority` - Authority for which all full names should be found
  Returns:
    An array of QXRIs.
  Throws:
    `StoreException`

### getAuthorityQxris

    java.lang.String[] getAuthorityQxris(Authority authority,
                                         boolean reassignable,
                                         boolean persistent)
                                         throws StoreException

  Gets all full XRIs that lead to this authority. If it is a root authority, this is just the namespace, otherwise it's the namespace of the root authority plus names of subsegments. Usually just one result, unless there are aliases in the subsegment chain. The reassignable and persistent parameters can be used to only read i-names or i-numbers from the store.

  Parameters:
    `authority` - Authority for which all full names should be found
    `reassignable` - Whether to consider reassignable subsegments when constructing XRIs.
    `persistent` - Whether to consider persistent subsegments when constructing XRIs.
  Returns:
    An array of QXRIs.
  Throws:
    `StoreException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.